.386

; Compile with
; uasm64 -c -coff deallocationStack32.asm
; or
; ml /c /coff deallocationStack32.asm


.MODEL FLAT, C
option casemap:none 

RESERVED_SPACE equ 4096 * 16 ; safe-side estimate

.code

availableStackSpace proc public
	lea eax, [esp] 
	assume fs:nothing
	mov edx, fs:[0e0ch] ; DeallocationStack in TEB
	assume  fs:error
	sub eax, edx
	sub eax, RESERVED_SPACE
	ret
availableStackSpace endp


end