
option casemap:none
IFDEF __JWASM__ 
; compile with uasm64 -c -win64 -Zp8 -archSSE deallocationStack64.asm.asm
option frame:auto ;generate SEH-compatible prologues and epilogues
OPTION STACKBASE:RBP
ELSE
; Microsoft MASM: Compile with ml64" -c -Zp8 deallocationStack64.asm.asm
ENDIF

RESERVED_SPACE equ 4096 * 16 ; safe-side estimate

.code

availableStackSpace proc public
	lea rax, [rsp] 
	mov r9,qword ptr gs:[1478h] ; DeallocationStack in TEB
	sub rax, r9
	sub rax, RESERVED_SPACE
	ret
availableStackSpace endp


end
